// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Login Dialog                                                     ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################                                 #include "system.h"


#ifndef LOGINDIALOG_H
#define LOGINDIALOG_H


#include "system.h"
#include "sqlconnection.h"

#include <qapp.h>
#if QT_VERSION < 210
#error ERROR: QT Version 2.1 or better required!!!
#endif
#include <qdialog.h>
#include <qstring.h>
#include <qlineedit.h>


/**
  * LoginDialog ist ein Qt-Widget fr den Login am Datenbank-Server.
  *
  * @short   Login Dialog
  * @author  Thomas Dreibholz (Dreibholz@bigfoot.com)
  * @version 1.0
  */
class LoginDialog : public QDialog
{
   Q_OBJECT

   // ====== Constructor ====================================================
   /**
     * Constructor.
     *
     * @param defaultServer Vorgegebener Server.
     * @param defaultDatabase Vorgegebener Datenbank-Name.
     * @param defaultUser Vorgegebener Benutzer.
     * @param parent Parent QWidget; default: NULL.
     * @param name Widget-Name; default: NULL.
     */
   public:
   LoginDialog(const QString& defaultServer,
               const QString& defaultDatabase,
               const QString& defaultUser,
               QWidget*       parent = NULL,
               const char*    name   = NULL);


   // ====== Login durchfhren ==============================================
   /**
     * Login durchfhren und Verbindungsobjekt fr die Datenbank zurckgeben.
     *
     * @param defaultServer Vorgegebener Server.
     * @param defaultDatabase Vorgegebener Datenbank-Name.
     * @param defaultUser Vorgegebener Benutzer.
     * @return PgDatabase-Objekt.
     */
   static PgDatabase* login(const QString& defaultServer,
                            const QString& defaultDatabase,
                            const QString& defaultUser);


   // ====== Private Daten ==================================================
   private:
   QLineEdit* LineEdit[4];
};


#endif
