/*
   #####################################################################
   padb-init.sql
   Initialisieren der Typ-Tabellen fuer die Pruefungsamt-Datenbank

   Harald Schwarz, schwarzh@cs.uni-bonn.de
   Juli 2000
   #####################################################################
*/

/*
   #####################################################################
   Belege die Tabelle Typ-Pruefungs-Status mit Werten.
   #####################################################################
*/
INSERT INTO typ_prfstatus VALUES ('A',   'angemeldet',false,false);
INSERT INTO typ_prfstatus VALUES ('G',   'genehmigt',false,false);

INSERT INTO typ_prfstatus VALUES ('B',   'bestanden',true,false);
INSERT INTO typ_prfstatus VALUES ('NG',  'bestanden, aber nicht gewertet',false,false);
INSERT INTO typ_prfstatus VALUES ('NB',  'nicht bestanden',false,true);

INSERT INTO typ_prfstatus VALUES ('AE',  'ausgefallen, entschuldigt',false,false);
INSERT INTO typ_prfstatus VALUES ('ANE', 'ausgefallen, unentschuldigt',false,true);
INSERT INTO typ_prfstatus VALUES ('AG',  'ausgefallen, Grund n.s.z.V.',false,false);

/*
   #####################################################################
   Belege die Tabelle Typ-Studium mit Werten.
   #####################################################################
*/
INSERT INTO typ_studium   VALUES ('Voll',    'Vollzeit' );
INSERT INTO typ_studium   VALUES ('Gast',    'Gasthrer' );
INSERT INTO typ_studium   VALUES ('Urlaub',  'Urlaubssemester' );
INSERT INTO typ_studium   VALUES ('Ausland', 'Auslandssemester' );

/*
   #####################################################################
   Belege die Tabelle Typ-Adressen mit Werten.
   #####################################################################
*/
INSERT INTO typ_adressen  VALUES ('Ladung', 'Ladungsadresse');
INSERT INTO typ_adressen  VALUES ('Dienst', 'Dienstliche Adresse');
INSERT INTO typ_adressen  VALUES ('Privat', 'Private Adresse');

/*
   #####################################################################
   Belege die Tabelle Typ-Pruefung mit Werten.
   #####################################################################
*/
INSERT INTO typ_pruefung VALUES
   ('VD-I/II','Vordiplom: Informatik I/II');
INSERT INTO typ_pruefung VALUES
   ('VD-III/IV','Vordiplom: Informatik III/IV');
INSERT INTO typ_pruefung VALUES
   ('VD-MATH','Vordiplom: Mathematik');
INSERT INTO typ_pruefung VALUES
   ('VD-NF','Vordiplom: Nebenfach');
INSERT INTO typ_pruefung VALUES
   ('HD-A','Diplom: A-Prfung (Theoretische Informatik)');
INSERT INTO typ_pruefung VALUES
   ('HD-B','Diplom: B-Prfung (Praktische Informatik)');
INSERT INTO typ_pruefung VALUES
   ('HD-C','Diplom: C-Prfung (Vertiefungsgebiet)');
INSERT INTO typ_pruefung VALUES
   ('HD-NF','Diplom: Nebenfach');

/*
   #####################################################################
   Belege die Tabelle Typ-Notentext mit Werten.
   #####################################################################
*/
INSERT INTO typ_notentxt  VALUES ( 1.0,  'sehr gut' );
INSERT INTO typ_notentxt  VALUES ( 1.3,  'sehr gut -' );
INSERT INTO typ_notentxt  VALUES ( 1.7,  'gut +' );
INSERT INTO typ_notentxt  VALUES ( 2.0,  'gut' );
INSERT INTO typ_notentxt  VALUES ( 2.3,  'gut -' );
INSERT INTO typ_notentxt  VALUES ( 2.7,  'befriedigend +' );
INSERT INTO typ_notentxt  VALUES ( 3.0,  'befriedigend' );
INSERT INTO typ_notentxt  VALUES ( 3.3,  'befriedigend -' );
INSERT INTO typ_notentxt  VALUES ( 3.7,  'ausreichend +' );
INSERT INTO typ_notentxt  VALUES ( 4.0,  'ausreichend' );
INSERT INTO typ_notentxt  VALUES ( 5.0,  'nicht ausreichend' );

/*
   #####################################################################
   Belege die Tabelle Typ-Semestertext mit Werten.
   #####################################################################
*/
INSERT INTO typ_semestertxt VALUES ( 'WS1970/1971' );
INSERT INTO typ_semestertxt VALUES ( 'SS1971' );
INSERT INTO typ_semestertxt VALUES ( 'WS1971/1972' );
INSERT INTO typ_semestertxt VALUES ( 'SS1972' );
INSERT INTO typ_semestertxt VALUES ( 'WS1972/1973' );
INSERT INTO typ_semestertxt VALUES ( 'SS1973' );
INSERT INTO typ_semestertxt VALUES ( 'WS1973/1974' );
INSERT INTO typ_semestertxt VALUES ( 'SS1974' );
INSERT INTO typ_semestertxt VALUES ( 'WS1974/1975' );
INSERT INTO typ_semestertxt VALUES ( 'SS1975' );
INSERT INTO typ_semestertxt VALUES ( 'WS1975/1976' );
INSERT INTO typ_semestertxt VALUES ( 'SS1976' );
INSERT INTO typ_semestertxt VALUES ( 'WS1976/1977' );
INSERT INTO typ_semestertxt VALUES ( 'SS1977' );
INSERT INTO typ_semestertxt VALUES ( 'WS1977/1978' );
INSERT INTO typ_semestertxt VALUES ( 'SS1978' );
INSERT INTO typ_semestertxt VALUES ( 'WS1978/1979' );
INSERT INTO typ_semestertxt VALUES ( 'SS1979' );
INSERT INTO typ_semestertxt VALUES ( 'WS1979/1980' );
INSERT INTO typ_semestertxt VALUES ( 'SS1980' );

INSERT INTO typ_semestertxt VALUES ( 'WS1980/1981' );
INSERT INTO typ_semestertxt VALUES ( 'SS1981' );
INSERT INTO typ_semestertxt VALUES ( 'WS1981/1982' );
INSERT INTO typ_semestertxt VALUES ( 'SS1982' );
INSERT INTO typ_semestertxt VALUES ( 'WS1982/1983' );
INSERT INTO typ_semestertxt VALUES ( 'SS1983' );
INSERT INTO typ_semestertxt VALUES ( 'WS1983/1984' );
INSERT INTO typ_semestertxt VALUES ( 'SS1984' );
INSERT INTO typ_semestertxt VALUES ( 'WS1984/1985' );
INSERT INTO typ_semestertxt VALUES ( 'SS1985' );
INSERT INTO typ_semestertxt VALUES ( 'WS1985/1986' );
INSERT INTO typ_semestertxt VALUES ( 'SS1986' );
INSERT INTO typ_semestertxt VALUES ( 'WS1986/1987' );
INSERT INTO typ_semestertxt VALUES ( 'SS1988' );
INSERT INTO typ_semestertxt VALUES ( 'WS1988/1989' );
INSERT INTO typ_semestertxt VALUES ( 'SS1989' );
INSERT INTO typ_semestertxt VALUES ( 'WS1989/1990' );
INSERT INTO typ_semestertxt VALUES ( 'SS1990' );

INSERT INTO typ_semestertxt VALUES ( 'WS1990/1991' );
INSERT INTO typ_semestertxt VALUES ( 'SS1991' );
INSERT INTO typ_semestertxt VALUES ( 'WS1991/1992' );
INSERT INTO typ_semestertxt VALUES ( 'SS1992' );
INSERT INTO typ_semestertxt VALUES ( 'WS1992/1993' );
INSERT INTO typ_semestertxt VALUES ( 'SS1993' );
INSERT INTO typ_semestertxt VALUES ( 'WS1993/1994' );
INSERT INTO typ_semestertxt VALUES ( 'SS1994' );
INSERT INTO typ_semestertxt VALUES ( 'WS1994/1995' );
INSERT INTO typ_semestertxt VALUES ( 'SS1995' );
INSERT INTO typ_semestertxt VALUES ( 'WS1995/1996' );
INSERT INTO typ_semestertxt VALUES ( 'SS1996' );
INSERT INTO typ_semestertxt VALUES ( 'WS1996/1997' );
INSERT INTO typ_semestertxt VALUES ( 'SS1997' );
INSERT INTO typ_semestertxt VALUES ( 'WS1997/1998' );
INSERT INTO typ_semestertxt VALUES ( 'SS1998' );
INSERT INTO typ_semestertxt VALUES ( 'WS1998/1999' );
INSERT INTO typ_semestertxt VALUES ( 'SS1999' );
INSERT INTO typ_semestertxt VALUES ( 'WS1999/2000' );
INSERT INTO typ_semestertxt VALUES ( 'SS2000' );

/*
   #####################################################################
   Belege die Tabelle Typ-Qualifikate mit Werten.
   #####################################################################
*/
INSERT INTO typ_qualifikate VALUES
   ('HZB','Zeugnis','Hochschulzugangsberechtigung');
INSERT INTO typ_qualifikate VALUES
   ('VDIPL','Zeugnis','Vordiplom-Zeugnis');
INSERT INTO typ_qualifikate VALUES
   ('DIPLOM','Zeugnis','Diplom-Zeugnis');
INSERT INTO typ_qualifikate VALUES
   ('ZQ','(allgemein)','Zusatzqualifikation');
INSERT INTO typ_qualifikate VALUES
   ('M-IR-I','Mathematik VD','Infinitesimalrechnung I');
INSERT INTO typ_qualifikate VALUES
   ('M-IR-II','Mathematik VD','Infinitesimalrechnung II');
INSERT INTO typ_qualifikate VALUES
   ('M-LA-I','Mathematik VD','Lineare Algebra I');
INSERT INTO typ_qualifikate VALUES
   ('M-LA-II','Mathematik VD','Lineare Algebra II');
INSERT INTO typ_qualifikate VALUES
   ('M-PM','Mathematik HD','Praktische Mathematik/Wahrscheinlichkeitsrechnung');
INSERT INTO typ_qualifikate VALUES
   ('IF-I','Informatik VD','Informatik I');
INSERT INTO typ_qualifikate VALUES
   ('IF-II','Informatik VD','Informatik II');
INSERT INTO typ_qualifikate VALUES
   ('IF-III','Informatik VD','Informatik III');
INSERT INTO typ_qualifikate VALUES
   ('IF-IV','Informatik VD','Informatik IV');
INSERT INTO typ_qualifikate VALUES
   ('IF-PS','Informatik VD','Informatik Proseminar VD');
INSERT INTO typ_qualifikate VALUES
   ('IF-PP','Informatik VD','Informatik Praktikum VD');
INSERT INTO typ_qualifikate VALUES
   ('IF-SA','Informatik HD','Informatik A-Seminar HD');
INSERT INTO typ_qualifikate VALUES
   ('IF-SB','Informatik HD','Informatik B-Seminar HD');
INSERT INTO typ_qualifikate VALUES
   ('IF-PC','Informatik HD','Informatik C-Praktikum HD');
INSERT INTO typ_qualifikate VALUES
   ('PHY-PR','Nebenfach Physik','Physik Anfngerpraktikum');
