// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Hauptprogramm                                                    ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "paclient.h"
#include "logindialog.h"
#include "sqlconnection.h"


#include <qapp.h>
#if QT_VERSION < 210
#error QT Version 2.1 or better required!!!
#endif
#include <qplatinumstyle.h>


// ###### Hauptprogramm #####################################################
int main(int argc, char** argv)
{
   QApplication* application = new QApplication(argc,argv);
   CHECK_PTR(application);

   // ====== Datenbank-Verbindung herstellen ================================
   PgDatabase* database =
      LoginDialog::login("localhost","pruefungsamt","pruefungsamt");
   if(database == NULL) {
      return(1);
   }

   // ====== SQL-Monitor starten ============================================
   TextMonitor* sqlMonitor = new TextMonitor();
   CHECK_PTR(sqlMonitor);
   sqlMonitor->show();
   sqlMonitor->setCaption("SQL Monitor");

   // ====== GUI starten ====================================================
   SQLConnection connection(database,sqlMonitor);
   application->setStyle(new QPlatinumStyle());
   PAClient* client = new PAClient(&connection,sqlMonitor);
   CHECK_PTR(client);
   application->setMainWidget(client);


   // ====== Anwendung ausfhren ============================================
   application->exec();


   // ====== Datenbank-Verbindung schlieen =================================
   delete database;
   return(0);
}
