// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Text-Monitor                                                     ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#ifndef TEXTMONITOR_H
#define TEXTMONITOR_H


#include "system.h"
#include "sqlmonitorinterface.h"


#include <qapp.h>
#if QT_VERSION < 210
#error ERROR: QT Version 2.1 or better required!!!
#endif
#include <qmultilineedit.h>



/**
  * TextMonitor ist ein Qt-Widget fr die Ausgabe von Textzeilen wie z.B.
  * beim SQL Monitor.
  *
  * @short   Text Monitor
  * @author  Thomas Dreibholz (Dreibholz@bigfoot.com)
  * @version 1.0
  */
class TextMonitor : public QWidget,
                    virtual public SQLMonitorInterface
{
   Q_OBJECT

   // ====== Constructor ====================================================
   /**
     * Constructor.
     *
     * @param parent Parent QWidget; default: NULL.
     * @param name Widget-Name; default: NULL.
     */
   public:
   TextMonitor(QWidget*    parent = NULL,
               const char* name   = NULL);


   // ====== Slots fr Qt ===================================================
   public slots:
   void write(const char* string = "");


   // ====== Private Daten ==================================================
   private:
   QMultiLineEdit* Output;
};


#endif
